StartupEvents.registry('block', event => {
  event.create('temporary_geological_anchor')
    .displayName('临时地质锚点')
    .hardness(-1.0)                            // 硬度 -1.0 会使方块无法挖掘（与原版基岩一致）
    .resistance(3600000.0)                     // 极高爆炸抗性
    .noDrops()                                  // 方块被破坏时不会有任何掉落物
    //.pistonBehavior("block")                      // 关键：不可被活塞推动
    .textureAll('kubejs:block/temporary_geological_anchor') // 六面相同纹理
  event.create('infinite_geological_anchor')
    .displayName('永久地质锚点')
    .hardness(-1.0)                            // 硬度 -1.0 会使方块无法挖掘（与原版基岩一致）
    .resistance(3600000.0)                     // 极高爆炸抗性
    .noDrops()                                  // 方块被破坏时不会有任何掉落物
    //.pistonBehavior("block")                      // 关键：不可被活塞推动
    .textureAll('kubejs:block/infinite_geological_anchor') // 六面相同纹理
  event.create('compression_reaction_core')
    .displayName('压缩反应核心')
    // 核心：绑定你放在kubejs里的模型文件
    .model('kubejs:block/compression_reaction_core')
    // ========== 挖掘属性 ==========
    .requiresTool(true)           // 必须用正确工具挖掘才掉落
    .tagBlock('minecraft:mineable/pickaxe')  // 允许【镐子】挖掘
    .tagBlock('minecraft:mineable/axe')     // 允许【斧子】挖掘
    // ========== 基础属性 ==========
    .hardness(3.0)                // 挖掘硬度
    .resistance(5.0)              // 爆炸抗性
  event.create('mana_tank')
    .displayName('测试魔力储罐')
    // 核心：绑定你放在kubejs里的模型文件
    .model('kubejs:block/mana_tank')
    // ========== 挖掘属性 ==========
    .requiresTool(true)           // 必须用正确工具挖掘才掉落
    .tagBlock('minecraft:mineable/pickaxe')  // 允许【镐子】挖掘
    .tagBlock('minecraft:mineable/axe')     // 允许【斧子】挖掘
    // ========== 基础属性 ==========
    .hardness(3.0)                // 挖掘硬度
    .resistance(5.0)              // 爆炸抗性
  event.create('ecd_core')
    .displayName('晶能激荡器核心')
    // 核心：绑定你放在kubejs里的模型文件
    .model('kubejs:block/ecd_core')
    // ========== 挖掘属性 ==========
    .requiresTool(true)           // 必须用正确工具挖掘才掉落
    .tagBlock('minecraft:mineable/pickaxe')  // 允许【镐子】挖掘
    .tagBlock('minecraft:mineable/axe')     // 允许【斧子】挖掘
    // ========== 基础属性 ==========
    .hardness(3.0)                // 挖掘硬度
    .resistance(5.0)              // 爆炸抗性
  event.create('ecd_core_neo')
    .displayName('晶能激荡器核心（雷暴）')
    // 核心：绑定你放在kubejs里的模型文件
    .model('kubejs:block/ecd_core')
    // ========== 挖掘属性 ==========
    .requiresTool(true)           // 必须用正确工具挖掘才掉落
    .tagBlock('minecraft:mineable/pickaxe')  // 允许【镐子】挖掘
    .tagBlock('minecraft:mineable/axe')     // 允许【斧子】挖掘
    // ========== 基础属性 ==========
    .hardness(3.0)                // 挖掘硬度
    .resistance(5.0)              // 爆炸抗性
})